SAP Knowledge Base Article - Preview

2238332 - Java version on 'Unsupported major.minor version'

Symptom

In case you try to run a Java application that was compiled by another Java version you see a similar error as below:

java.lang.UnsupportedClassVersionError: <classpath> : Unsupported major.minor version 49.0


Read more...

Environment

SAP JVM

Product

SAP Java Virtual Machine all versions

Keywords

javac, compiler, java, major, version, 48.0, 49.0, 50.0, 51.0, 52.0 , KBA , BC-JVM , SAP Java Virtual Machine , How To

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.